<?php
require 'acesso.php';
$res = array();
$id_firma    = $_POST['id_firma'];
$id_device   = $_POST['id_device'];

$con = new PDO("mysql:dbname=$database; charset=utf8", $usuario , $senha);

try {
$res['novo'] = 'sim';
if (isset($_POST['novo'])) {
    $res['novo2'] = 'sim';
    $nome       = $_POST['nome'];
    $telefone   = $_POST['telefone'];
    $nascimento = $_POST['nascimento'];
    $idade      = $_POST['idade'];
    $saldo      = $_POST['saldo'];
    $query = mb_convert_encoding("INSERT INTO teste (nome, telefone, nascimento, idade, saldo) VALUE ('$nome', '$telefone', '$nascimento', $idade, $saldo)", "UTF-8", "auto");    
    $ret = $con->prepare($query);
    $res['query'] = $ret->queryString;
    $ret->execute();
    $mensagem = $ret->errorInfo();
    if($mensagem[0] == "00000") {
        $res["sucesso"] = 1;
    } else {
        $res["sucesso"] = 0;
        $res['mensagem'] = $mensagem[2];
    }
} else {
    $res['sucesso'] = 0;
    $res['mensagem'] = $mensagem[2];
}

} catch (Exception $e) {
    $res['mensagem'] = $e->getMessage();
}

echo json_encode(utf8_encode($res));
$con = null;

?>